/***************************************************************************
                          dd.h  -  description
                             -------------------
    begin                :   6 29 2004
    copyright            : (C) 2004 by Naoya OYAMA
    email                : naoyan@minaminoshima.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

__BEGIN_DECLS
extern int dd(harddisk *disk, unsigned char **buffers, unsigned int cylinder, unsigned int cyl_len, int flag, int do_verify);
extern int verify_unit(harddisk *disk, unsigned char **buffers, unsigned int unit_number, unsigned int cyl_len, int flag, int *indexes);
extern int creat_buffers(unsigned char **buffers, enum pattern p);
extern int remove_buffers(unsigned char **buffers);
extern void set_buffers(unsigned  char **buffers, const int c );
extern void set_buffers_24(unsigned  char **buffers, const unsigned char c[3] );
extern int sort_part_info( const void *pi1, const void *pi2 );
extern int _is_mounted(char *file);
extern int is_mounted(harddisk *disk);
extern int write_badsector_log( harddisk *disk );
extern int dump_sector( harddisk *disk, off_t sector );
__END_DECLS
