/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : 2004ǯ  5  4  22:35:53 JST
    copyright            : (C) 2004 by Naoya OYAMA
    email                : naoyan@minaminoshima.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kdshred.h"
#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>

static const char *description =
	I18N_NOOP("Kdshred");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
  uid_t uid = getuid();
  if(seteuid(uid) != 0) exit(-1);
  KAboutData aboutData( "kdshred", I18N_NOOP("Kdshred"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2004, Naoya OYAMA", 0, 0, PACKAGE_BUGREPORT);
  aboutData.addAuthor("Naoya OYAMA",0, "naoyan@minaminoshima.org");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  Form1 *mainWin = 0;
  KApplication app;
  mainWin = new Form1();
  app.setMainWidget( mainWin );
  mainWin->show();
  return app.exec();
}
